microsoft-foundry.rest.security.o-auth2-auth
Models
Get a model
GET
/openai/v1/models/{model}
Retrieves a model by its identifier.
Parámetros de la ruta de acceso
model
string
requerido
The ID of the model to use for this request
Respuestas
The request has succeeded.
Cuerpo
Content-Type: application/json
id
string
requerido
The model identifier, which can be referenced in the API endpoints.
created
integer
requerido
The Unix timestamp (in seconds) when the model was created.
object
enum
requerido
The object type, which is always "model".
model
owned_by
string
requerido
The organization that owns the model.
shutdown_date
string | null
The date when the model will shut down, or null if not announced.
Solicitar
curl https://api.openai.com/v1/models/VAR_chat_model_id \
-H "Authorization: Bearer $OPENAI_API_KEY"
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
model = client.models.retrieve(
"gpt-4o-mini",
)
print(model.id)
import OpenAI from "openai";
const openai = new OpenAI();
async function main() {
const model = await openai.models.retrieve("VAR_chat_model_id");
console.log(model);
}
main();
using System;
using System.ClientModel;
using OpenAI.Models;
OpenAIModelClient client = new(
apiKey: Environment.GetEnvironmentVariable("OPENAI_API_KEY")
);
ClientResult<OpenAIModel> model = client.GetModel("babbage-002");
Console.WriteLine(model.Value.Id);
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const model = await client.models.retrieve('gpt-4o-mini');
console.log(model.id);
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
model, err := client.Models.Get(context.TODO(), "gpt-4o-mini")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", model.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.models.Model;
import com.openai.models.models.ModelRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
Model model = client.models().retrieve("gpt-4o-mini");
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
model = openai.models.retrieve("gpt-4o-mini")
puts(model)
Respuesta
{
"id": "VAR_chat_model_id",
"object": "model",
"created": 1686935002,
"owned_by": "openai"
}